org.keycloak.dom.saml.v2.assertion

## Class ProxyRestrictionType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.ConditionAbstractType
  - - org.keycloak.dom.saml.v2.assertion.ProxyRestrictionType

- All Implemented Interfaces:
    Serializable

      public class ProxyRestrictionType
      extends ConditionAbstractType

  Java class for ProxyRestrictionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ProxyRestrictionType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}ConditionAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Audience" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Count" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<URI>` | `audience`
    `protected BigInteger` | `count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyRestrictionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAudience(URI a)` Add an audience
    `List<URI>` | `getAudience()` Gets the value of the audience property.
    `BigInteger` | `getCount()` Gets the value of the count property.
    `void` | `removeAudience(URI a)` Remove an audience
    `void` | `setCount(BigInteger value)` Sets the value of the count property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### audience

          protected List<URI> audience

    - #### count

          protected BigInteger count

  - ### Constructor Detail

    - #### ProxyRestrictionType

          public ProxyRestrictionType()

  - ### Method Detail

    - #### addAudience

          public void addAudience(URI a)

      Add an audience
      Parameters:
        `a` -

    - #### getAudience

          public List<URI> getAudience()

      Gets the value of the audience property.

    - #### removeAudience

          public void removeAudience(URI a)

      Remove an audience
      Parameters:
        `a` -

    - #### getCount

          public BigInteger getCount()

      Gets the value of the count property.
      Returns:
        possible object is `BigInteger`

    - #### setCount

          public void setCount(BigInteger value)

      Sets the value of the count property.
      Parameters:
        `value` - allowed object is `BigInteger`

Copyright © 2016 JBoss by Red Hat. All rights reserved.